Depuis de nombreuses semaines, nous réfléchissons à un renouveau pour le serveur : partagez vos idées et vos envies avec la communauté afin de l'imaginer ensemble :)
Le serveur est uniquement compatible avec les versions 1.8 de Minecraft pour le moment. Cliquez ici pour pouvoir changer de version rapidement (versions officielles uniquement).

Formulaire de récupération du mot de passe
Adresse email :